declare class BaseTransformer {
    static fetchCollection(items: Array<Attribute>, camelCaseKey?: boolean): Array<Attribute>;
    static sendCollection(items: Array<Attribute>, snakeCaseKey?: boolean): Array<Attribute>;
    static fetch(item: Attribute, camelCaseKey?: boolean): Attribute;
    static send(item: Attribute, snakeCaseKey?: boolean): Attribute;
}
export default BaseTransformer;
export declare type Attribute = {
    [key in string | number]: any;
};
