import type { ValidatorType } from './core/Validator';
import _Vue from 'vue';
import './vue';
export declare type Errors = ValidatorType;
export type { ValidatorType };
declare class VueApiQueries {
    install(Vue: typeof _Vue): void;
}
export { default as Validator } from './core/Validator';
export { default as BaseProxy } from './core/BaseProxy';
export { default as BaseTransformer } from './core/BaseTransformer';
export { default as PaginationTransformer } from './core/PaginationTransformer';
declare const _default: VueApiQueries;
export default _default;
